Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.rtc
Class CMOS

    java.lang.Object
      dioscuri.module.rtc.CMOS

    public class CMOS

extends java.lang.Object

Implementation of the CMOS memory

Notes: - register information is taken from CMOS Reference by Padgett Peterson, 2001. See: http://moon.inf.uji.es/docs/interr/CMOS/CMOS.HTM

Field Summary
`protected static int` | `AMI_EXTEND_MEM_HIGH`
`protected static int` | `AMI_EXTEND_MEM_LOW`
`protected static int` | `ATA_POLICY_0_1`
`protected static int` | `ATA_POLICY_2_3`
`protected static int` | `AWARD_HD1_USERDEF`
`protected static int` | `CHECKSUM_HIGH_BYTE`
`protected static int` | `CHECKSUM_LOW_BYTE`
`protected static int` | `ELTORITO_BOOT`
`protected static int` | `ELTORITO_BOOT2`
`protected static int` | `FLOPPYDRIVE_TYPE`
`protected static int` | `IBM_BASE_MEM_HIGH`
`protected static int` | `IBM_BASE_MEM_LOW`
`protected static int` | `IBM_EQUIPMENT`
`protected static int` | `IBM_EXTEND_HD1`
`protected static int` | `IBM_EXTEND_HD2`
`protected static int` | `IBM_EXTEND_MEM_HIGH`
`protected static int` | `IBM_EXTEND_MEM_LOW`
`protected static int` | `IBM_EXTEND_MEM2_HIGH`
`protected static int` | `IBM_EXTEND_MEM2_LOW`
`protected static int` | `IBM_HD_DATA`
`protected static int` | `IBM_PS2_HD1_DATA`
`protected static int` | `IBM_PS2_HD2_DATA`
`protected static int` | `IBM_PS2_RTC_CENTURY`
`protected static int` | `IBM_RTC_CENTURY`
`protected byte[]` | `ram`
`protected static int` | `RTC_DATEOFMONTH`
`protected static int` | `RTC_DAYOFWEEK`
`protected static int` | `RTC_HOUR_ALARM`
`protected static int` | `RTC_HOURS`
`protected static int` | `RTC_MINUTE_ALARM`
`protected static int` | `RTC_MINUTES`
`protected static int` | `RTC_MONTH`
`protected static int` | `RTC_SECOND_ALARM`
`protected static int` | `RTC_SECONDS`
`protected static int` | `RTC_YEAR`
`protected static int` | `SHUTDOWN_STATUS`
`protected static int` | `STATUS_REGISTER_A`
`protected static int` | `STATUS_REGISTER_B`
`protected static int` | `STATUS_REGISTER_C`
`protected static int` | `STATUS_REGISTER_D`

Constructor Summary
`CMOS()` Class constructor

Method Summary
`protected int` | `bcdToDec(byte bcdValue)` Performs a conversion of bcd value into decimal.
`protected byte` | `decToBcd(int decimalValue)` Performs a conversion of decimal value into Binary Code Decimal (BCD).
`protected java.lang.String` | `getClockValue()` Returns string of decimal representation of time and date
`protected void` | `reset(boolean systemTime)`
`protected void` | `setClockValue(int seconds)` Updates the clock values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ram

    protected byte[] ram

### RTC_SECONDS

    protected static final int RTC_SECONDS

See Also:
  Constant Field Values

### RTC_SECOND_ALARM

    protected static final int RTC_SECOND_ALARM

See Also:
  Constant Field Values

### RTC_MINUTES

    protected static final int RTC_MINUTES

See Also:
  Constant Field Values

### RTC_MINUTE_ALARM

    protected static final int RTC_MINUTE_ALARM

See Also:
  Constant Field Values

### RTC_HOURS

    protected static final int RTC_HOURS

See Also:
  Constant Field Values

### RTC_HOUR_ALARM

    protected static final int RTC_HOUR_ALARM

See Also:
  Constant Field Values

### RTC_DAYOFWEEK

    protected static final int RTC_DAYOFWEEK

See Also:
  Constant Field Values

### RTC_DATEOFMONTH

    protected static final int RTC_DATEOFMONTH

See Also:
  Constant Field Values

### RTC_MONTH

    protected static final int RTC_MONTH

See Also:
  Constant Field Values

### RTC_YEAR

    protected static final int RTC_YEAR

See Also:
  Constant Field Values

### STATUS_REGISTER_A

    protected static final int STATUS_REGISTER_A

See Also:
  Constant Field Values

### STATUS_REGISTER_B

    protected static final int STATUS_REGISTER_B

See Also:
  Constant Field Values

### STATUS_REGISTER_C

    protected static final int STATUS_REGISTER_C

See Also:
  Constant Field Values

### STATUS_REGISTER_D

    protected static final int STATUS_REGISTER_D

See Also:
  Constant Field Values

### SHUTDOWN_STATUS

    protected static final int SHUTDOWN_STATUS

See Also:
  Constant Field Values

### FLOPPYDRIVE_TYPE

    protected static final int FLOPPYDRIVE_TYPE

See Also:
  Constant Field Values

### IBM_PS2_HD1_DATA

    protected static final int IBM_PS2_HD1_DATA

See Also:
  Constant Field Values

### IBM_HD_DATA

    protected static final int IBM_HD_DATA

See Also:
  Constant Field Values

### IBM_PS2_HD2_DATA

    protected static final int IBM_PS2_HD2_DATA

See Also:
  Constant Field Values

### IBM_EQUIPMENT

    protected static final int IBM_EQUIPMENT

See Also:
  Constant Field Values

### IBM_BASE_MEM_LOW

    protected static final int IBM_BASE_MEM_LOW

See Also:
  Constant Field Values

### IBM_BASE_MEM_HIGH

    protected static final int IBM_BASE_MEM_HIGH

See Also:
  Constant Field Values

### IBM_EXTEND_MEM_LOW

    protected static final int IBM_EXTEND_MEM_LOW

See Also:
  Constant Field Values

### IBM_EXTEND_MEM_HIGH

    protected static final int IBM_EXTEND_MEM_HIGH

See Also:
  Constant Field Values

### IBM_EXTEND_HD1

    protected static final int IBM_EXTEND_HD1

See Also:
  Constant Field Values

### IBM_EXTEND_HD2

    protected static final int IBM_EXTEND_HD2

See Also:
  Constant Field Values

### AWARD_HD1_USERDEF

    protected static final int AWARD_HD1_USERDEF

See Also:
  Constant Field Values

### CHECKSUM_HIGH_BYTE

    protected static final int CHECKSUM_HIGH_BYTE

See Also:
  Constant Field Values

### CHECKSUM_LOW_BYTE

    protected static final int CHECKSUM_LOW_BYTE

See Also:
  Constant Field Values

### IBM_EXTEND_MEM2_LOW

    protected static final int IBM_EXTEND_MEM2_LOW

See Also:
  Constant Field Values

### IBM_EXTEND_MEM2_HIGH

    protected static final int IBM_EXTEND_MEM2_HIGH

See Also:
  Constant Field Values

### IBM_RTC_CENTURY

    protected static final int IBM_RTC_CENTURY

See Also:
  Constant Field Values

### AMI_EXTEND_MEM_LOW

    protected static final int AMI_EXTEND_MEM_LOW

See Also:
  Constant Field Values

### AMI_EXTEND_MEM_HIGH

    protected static final int AMI_EXTEND_MEM_HIGH

See Also:
  Constant Field Values

### IBM_PS2_RTC_CENTURY

    protected static final int IBM_PS2_RTC_CENTURY

See Also:
  Constant Field Values

### ELTORITO_BOOT

    protected static final int ELTORITO_BOOT

See Also:
  Constant Field Values

### ATA_POLICY_0_1

    protected static final int ATA_POLICY_0_1

See Also:
  Constant Field Values

### ATA_POLICY_2_3

    protected static final int ATA_POLICY_2_3

See Also:
  Constant Field Values

### ELTORITO_BOOT2

    protected static final int ELTORITO_BOOT2

See Also:
  Constant Field Values

Constructor Detail

### CMOS

    public CMOS()

  Class constructor

Method Detail

### reset

    protected void reset(boolean systemTime)

  Parameters:
    `systemTime` -

### decToBcd

    protected byte decToBcd(int decimalValue)

  Performs a conversion of decimal value into Binary Code Decimal (BCD). Note: results only in a one-byte-value. Large unsigned integers (> 255) will be cut off. Example of conversion: int 22 will result in 0x22 (or 0010.0010).

  Parameters:
    `decimalValue` -
  Returns:
    byte containing the BCD value of decimal

### bcdToDec

    protected int bcdToDec(byte bcdValue)

  Performs a conversion of bcd value into decimal. Example of conversion: 0x22 (or 0010.0010) will result in int 22.

  Parameters:
    `bcdValue` -
  Returns:
    int containing the decimal value of bcd

### getClockValue

    protected java.lang.String getClockValue()

  Returns string of decimal representation of time and date

  Returns:
    String

### setClockValue

    protected void setClockValue(int seconds)

  Updates the clock values

  Parameters:
    `seconds` - Number of seconds to update the clock

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD